Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Nie moge instalować tar.gz  (Przeczytany 263 razy)

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Nie moge instalować tar.gz
« dnia: Wrzesień 24, 2018, 04:13:46 pm »
Witam .
Mam ubuntu 18.04 i nie moge instalować paczek tar.gz.Chyba robie coś źle albo moj laptop jest Linuxo odporny ale co najbardziej prawdopodobne to brak wiedzy.
problemy zaczynają się od samego początku:
tar -xfz nazwa pliku.tar.gz
odpowiada mi
 tar: z: Nie można open: Nie ma takiego pliku ani katalogu
tar: Error is not recoverable: exiting now
Nie zrażając się tym rozpakowywuje ręcznie i plik otwieram w terminalu wpisuje
sudo apt-get install build-essentialnastępnie
./configurew odpowiedzi dostaje
bash: ./config: Nie ma takiego pliku ani katalogu :-[

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #1 dnia: Wrzesień 24, 2018, 04:25:41 pm »
Daj konkret co chcesz wgrać, a nie idzie.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #2 dnia: Wrzesień 24, 2018, 04:30:52 pm »
program do odczytu pdf Foxit Reader, także powinno pójść bo to przecież nic skomplikowanego nie jest .

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #3 dnia: Wrzesień 24, 2018, 04:44:09 pm »
Pobieram i zobaczę, czy to wgram po ludzku, ale od razu polecam znaleźć jakiś wolny (od wolności) odpowiednik, czyli jakiś czytnik dostępny w repozytorium. Chyba że Foxit ma jakiś bardzo potrzebne ficzer, to wtedy co innego.

EDIT.
Ano skomplikowane nie jest, bo ze strony pobrałem tar.gz, w którym znajduje się pliczek .run, który działa jak instalka na Windowsie.
https://www.foxitsoftware.com/pdf-reader/
« Ostatnia zmiana: Wrzesień 24, 2018, 04:46:56 pm wysłana przez Dziadek Starowinek »
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #4 dnia: Wrzesień 24, 2018, 04:50:44 pm »
No dobra ale mi chodzi o metode na wygrywanie u mnie tar.gz . Co jest zresztą i tak odwlekaniem nieuchronnego bo nie wyobrażam sobie żebym nie mógł z tego korzystać.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #5 dnia: Wrzesień 24, 2018, 04:56:05 pm »
Na pewno nie nauczysz się tego na pliku, który nie jest pomyślany z myślą o kompilacji, bo tar.gz jako plik po prostu do instalacji to jest dla Slackware ewentualnie. Jak chcesz poćwiczyć kompilację, to znajdź małą aplikację, np. mousepad, pobierz jej źródła i próbuj kompilować. Chociaż jakoś przydatne to nie jest, bo to bardzo rzadkie, żeby potrzebować coś skompilować.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #6 dnia: Wrzesień 24, 2018, 07:02:47 pm »
To jaki program odpowiada za instalacje paczek tar.gz , żebym wiedział co kompilować jak już się nauczę?

Offline gom1

  • Hero Member
  • *****
  • Wiadomości: 573
  • RLU #281182
Odp: Nie moge instalować tar.gz
« Odpowiedź #7 dnia: Wrzesień 24, 2018, 07:11:10 pm »
Paczek tar.gz nie instalujesz. To jest archiwum, jak zip. Rozpakowujesz, a potem w zależności co siedzi w środku: uruchamiasz, instalujesz albo kompilujesz.
Wszędzie dobrze, ale w /home najlepiej

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #8 dnia: Wrzesień 24, 2018, 07:15:44 pm »
To w takim razie co mam kompilować żeby to archiwum tar.gz działało poprawnie i później dało się paczke zainstalować.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #9 dnia: Wrzesień 24, 2018, 07:20:39 pm »
Tar.gz zadziała "poprawnie" wtedy, gdy zawiera źródło programu. Uznaj, że to jest to samo co .rar. Może w nim znajdować się zdjęcie gołej baby, plik tekstowy albo kod źródłowy. Dopiero jak wiesz, że masz kod źródłowy, to postępujesz wg README, które najpewniej w nim znajdziesz.

No i uwierz mi - ponad 3 lata w Linuxie i kompilować to musiałem w Gentoo, gdzie to zupełnie inna sprawa, bo raz na Archu, gdzie chciałem przetestować bajer. Kompilacja nie jest zbytnio wymagana do niczego.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #10 dnia: Wrzesień 24, 2018, 07:27:01 pm »
To co musze kompilować żeby dało się instalować rozpakowany program?

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #11 dnia: Wrzesień 24, 2018, 07:47:56 pm »
Nic? Szukaj programów w repozytorium albo jako paczki .deb, ew. jako appimage, flatpak i snap. Kompilowanie to ostateczność. A jeżeli chcesz być na "zaś", to poczekaj na okazję, to się może okazać, że nigdy nie będziesz potrzebował kompilować.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #12 dnia: Wrzesień 24, 2018, 07:55:32 pm »
Nie rozumiem jak to na "zaś" i nie będe musiał kompilować?

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1262
  • dawniej Dziadek Starowinek
Odp: Nie moge instalować tar.gz
« Odpowiedź #13 dnia: Wrzesień 24, 2018, 08:00:56 pm »
Raczej nie będziesz musiał. Używam Linuxa ponad 3 lata i musiałem kompilować tylko na Gentoo, gdzie trzeba kompilować. Resztę znajdziesz w wygodnych paczkach. Nie ma co na zapas na siłę się wyuczać kompilacji. Jak już trzeba będzie, to będziesz umiał.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Tsunami

  • Newbie
  • *
  • Wiadomości: 26
Odp: Nie moge instalować tar.gz
« Odpowiedź #14 dnia: Wrzesień 25, 2018, 07:24:33 pm »
Na zagranicznym forum radzą mi coś takiego
 
Cytuj
plus make sure you have a configure, and not a MakeFile or an automake.sh if you are in the same dir as the source code. 'ls' works for that.
Nie do końca rozumiem o co im chodzi  :-[